import React from 'react';
import CardView, { Column, CardCover, Sorting } from 'devextreme-react/card-view';
import { houses } from './data.ts';
import type { House } from './data.ts';
function imageExpr({ ID }: House): string {
return `../../../../images/houses/${ID}.jpg`;
}
function altExpr(): string {
return 'Photo of the house';
}
const App = () => (
<CardView
dataSource={houses}
keyExpr="ID"
cardsPerRow="auto"
cardMinWidth={350}
wordWrapEnabled={true}
>
<Sorting
mode="multiple"
/>
<CardCover
imageExpr={imageExpr}
altExpr={altExpr}
/>
<Column
dataField="Address"
/>
<Column
dataField="Price"
format="currency"
defaultSortOrder="asc"
/>
<Column
dataField="HouseSize"
/>
<Column
dataField="Baths"
/>
<Column
dataField="Beds"
defaultSortOrder="desc"
/>
</CardView>
);
export default App;
import React from 'react';
import CardView, { Column, CardCover, Sorting } from 'devextreme-react/card-view';
import { houses } from './data.js';
function imageExpr({ ID }) {
return `../../../../images/houses/${ID}.jpg`;
}
function altExpr() {
return 'Photo of the house';
}
const App = () => (
<CardView
dataSource={houses}
keyExpr="ID"
cardsPerRow="auto"
cardMinWidth={350}
wordWrapEnabled={true}
>
<Sorting mode="multiple" />
<CardCover
imageExpr={imageExpr}
altExpr={altExpr}
/>
<Column dataField="Address" />
<Column
dataField="Price"
format="currency"
defaultSortOrder="asc"
/>
<Column dataField="HouseSize" />
<Column dataField="Baths" />
<Column
dataField="Beds"
defaultSortOrder="desc"
/>
</CardView>
);
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
export interface House {
ID: number;
Address: string;
Beds: number;
Baths: number;
HouseSize: number;
LotSize: number;
Price: number;
Features: string;
YearBuilt: number;
Type: number;
Status: number;
}
export const houses: House[] = [{
'ID': 1,
'Address': '652 Avonwick Gate, Toronto, ON M3A25',
'Beds': 4,
'Baths': 4,
'HouseSize': 7500,
'LotSize': 0.8,
'Price': 780000,
'Features': 'Dishwasher, Disposal, Separate laundry room, 3/4 bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Hardwood flooring in kitchen, Kitchen island, Solid surface countertops in kitchen, Entry foyer, Front living room, Ceiling fan in master bedroom, Master bedroom separate from other, Mirrored door closet in master bedroom, 2nd bedroom: 11x13, 3rd bedroom: 11x14, 4th Bedroom: 18x13, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Convection oven, Double built-in gas ovens, Gas cooktop, Gas stove, Marble/Stone floors',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 2,
'Address': '82649 Topeka St, Riverbank, CA 95360',
'Beds': 5,
'Baths': 3,
'HouseSize': 12500,
'LotSize': 1.2,
'Price': 1750000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Pantry, Walk-in pantry, Entry foyer, Formal living room, Rear living room, Vaulted ceiling in living room, Balcony in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13X20, 3rd bedroom: 13X17, 4th Bedroom: 13X18, 5th Bedroom: 14X16, Alarm system owned, Blinds, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Gas cooktop, Intercom system, Marble/Stone floors, Water conditioner owned, Water filtering system, Window Coverings Throughout',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 3,
'Address': '328 S Kerema Ave, Milford, CT 06465',
'Beds': 4,
'Baths': 2,
'HouseSize': 8356,
'LotSize': 0.04,
'Price': 350000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 2nd floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Wet bar in family room, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen island, Marble/Stone flooring in kitchen, Pantry, Formal living room, Front living room, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 16x12, 3rd bedroom: 13x16, 4th Bedroom: 18x12, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Double built-in electric ovens, Gas cooktop, Marble/Stone floors',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 4,
'Address': '5119 Beryl Dr, San Antonio, TX 78212',
'Beds': 4,
'Baths': 2,
'HouseSize': 7980,
'LotSize': 0.7,
'Price': 455000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Living/Dining room combo, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Formal living room, Front living room, Ceiling fan in master bedroom, Master bedroom downstairs, Walk-in closet in master bedroom, 2nd bedroom: 15x13, 3rd bedroom: 12x12, 4th Bedroom: 14x12, Alarm system owned, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Convection oven, Double built-in electric ovens, Electric cooktop, Intercom system, Tile floors',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 5,
'Address': '61207 16th St N, Moorhead, MN 56564',
'Beds': 5,
'Baths': 4,
'HouseSize': 14250,
'LotSize': 1.1,
'Price': 1700000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Formal living room, Rear living room, Sunken living room, Vaulted ceiling in living room, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 16X17, 3rd bedroom: 14X16, 4th Bedroom: 13X13, 5th Bedroom: 12X12, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Gas cooktop, Marble/Stone floors, Pot shelves, Water conditioner owned, Water filtering system, Window Coverings Throughout',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 6,
'Address': '8512 Tanglewood Cir, Reform, AL 35487',
'Beds': 3,
'Baths': 2,
'HouseSize': 5600,
'LotSize': 0.2,
'Price': 250000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Marble/Stone flooring in kitchen, Pantry, Formal living room, Front living room, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 11X15, 3rd bedroom: 11X14, Alarm system owned, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Double built-in electric ovens, Drapes, Electric cooktop, Marble/Stone floors, Window Coverings Throughout, Wine refrigerator',
'YearBuilt': 2011,
'Type': 0,
'Status': 0,
}, {
'ID': 7,
'Address': '7121 Bailey St, Worcester, MA 01605',
'Beds': 4,
'Baths': 3,
'HouseSize': 6900,
'LotSize': 2.1,
'Price': 555000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Kitchen island, Recessed lighting in kitchen, Tile countertops in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Dressing room in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 14x16, 3rd bedroom: 12x13, 4th Bedroom: 13x14, Carpet, Double built-in electric ovens, Drywall, Gas cooktop, Manmade wood or laminate floors, Marble/Stone floors, Water conditioner loope',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 8,
'Address': '620201 Plymouth Rd, Detroit, MI 48224',
'Beds': 4,
'Baths': 4,
'HouseSize': 7840,
'LotSize': 0.33,
'Price': 610000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, 2+ family rooms, Separate family room, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Walk-in pantry, Entry foyer, Formal living room, Rear living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom downstairs, Walk-in closet in master bedroom, 2nd bedroom: 12x15, 3rd bedroom: 12x15, 4th Bedroom: 12x15, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Electric cooktop, Shutters, Skylight(s), Water conditioner owned, Water filtering system, Window coverings partial',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 9,
'Address': '1198 Theresa Cir, Whitinsville, MA 01582',
'Beds': 4,
'Baths': 3,
'HouseSize': 4990,
'LotSize': 0.8,
'Price': 320000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, 1/2 bath downstairs, Formal dining room, 2+ family rooms, Built-in bookcases in family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen island, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Built-in bookcases in master bedroom, Built-in entertainment center in master bedroom, Ceiling fan in master bedroom, Dressing room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13x12, 3rd bedroom: 12x12, 4th Bedroom: 13x12, Alarm system rented, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Double built-in gas ovens, Tile floors, Window Coverings Throughout',
'YearBuilt': 2011,
'Type': 0,
'Status': 0,
}, {
'ID': 10,
'Address': '420234 Rogge St, Detroit, MI 48234',
'Beds': 4,
'Baths': 3,
'HouseSize': 6900,
'LotSize': 3.9,
'Price': 320000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Granite countertops in kitchen, Kitchen custom cabinets, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, 2nd bedroom: 12x15, 3rd bedroom: 13x13, 4th Bedroom: 12x14, Alarm system owned, Carpet, Ceiling fan(s), Double built-in gas ovens, Marble/Stone floors, Shutters, Window Coverings Throughout',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 11,
'Address': '6677 Kingsbridge Ln, Ridgewood, NJ 07454',
'Beds': 5,
'Baths': 4,
'HouseSize': 14750,
'LotSize': 0.99,
'Price': 1100000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Dining area, Formal dining room, 2+ family rooms, Breakfast Bar/Counter, Kitchen island, Entry foyer, Rear living room, 2 master bedrooms, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Great room, 2nd bedroom: 15X13, 3rd bedroom: 11X12, 4th Bedroom: 11X12, 5th Bedroom: 11X10, Atrium(s), Blinds, Built-in gas oven, Carpet, Ceiling fan(s), Intercom system, Marble/Stone floors, Pot shelves',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 12,
'Address': '4815 Warbler Ln, Rockport, TX 78388',
'Beds': 4,
'Baths': 3,
'HouseSize': 9600,
'LotSize': 1.34,
'Price': 700000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Separate family room, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Hardwood flooring in kitchen, Pantry, Entry foyer, Formal living room, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 16X13, 3rd bedroom: 15X14, 4th Bedroom: 17X13, Blinds, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Electric stove, Intercom system, Shutters, Water conditioner owned',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 13,
'Address': '115636 Hodges Ln, Moundville, AL 35474',
'Beds': 3,
'Baths': 3,
'HouseSize': 7550,
'LotSize': 1.6,
'Price': 450000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, 1/2 bath downstairs, Formal dining room, Separate family room, Breakfast Bar/Counter, Tile flooring in kitchen, Walk-in pantry, Formal living room, Front living room, Sunken living room, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13X14, 3rd bedroom: 12X13, Blinds, Built-in electric oven, Carpet, Ceiling fan(s), Drapes, Drywall, Gas cooktop, Tile floors',
'YearBuilt': 2011,
'Type': 0,
'Status': 0,
}, {
'ID': 14,
'Address': '6351 Forrest St, Jersey City, NJ 07308',
'Beds': 4,
'Baths': 4,
'HouseSize': 10255,
'LotSize': 0.3,
'Price': 320000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Tile flooring in kitchen, Rear living room, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 14x14, 3rd bedroom: 11x13, 4th Bedroom: 15x11, Carpet, Double built-in electric ovens, Marble/Stone floors, Tile floors',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 15,
'Address': '1268 Bright St, Jersey City, NJ 07308',
'Beds': 4,
'Baths': 2,
'HouseSize': 5770,
'LotSize': 1.3,
'Price': 310000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Entry foyer, Formal living room, Sunken living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 14x14, 3rd bedroom: 14x14, 4th Bedroom: 14x14, Alarm system owned, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Electric cooktop, Intercom system, Marble/Stone floors, Shutters, Tile floors, Water conditioner loope, Window Coverings Throughout',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 16,
'Address': '32125 4th St NW #2, Washington, DC 20001',
'Beds': 5,
'Baths': 6,
'HouseSize': 14600,
'LotSize': 2.3,
'Price': 2800000,
'Features': 'Washer/Dryer on 1st floor, Washer/Dryer on 2nd floor, Full bath downstairs, Breakfast room/Nook, Formal dining room, Downstairs family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Built-in bookcases in living room, Entry foyer, Formal living room, Vaulted ceiling in living room, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, Great room, 2nd bedroom: 20X18, 3rd bedroom: 15X14, 4th Bedroom: 22X19, 5th Bedroom: 14X16, Alarm system owned, Built-in microwave, Carpet, Intercom system, Marble/Stone floors, Shutters, Warming drawer, Water conditioner owned, Window Coverings Throughout, Wine refrigerator',
'YearBuilt': 2010,
'Type': 0,
'Status': 2,
}, {
'ID': 17,
'Address': '7700 Elmwood Dr, Cleveland, OK 74021',
'Beds': 4,
'Baths': 4,
'HouseSize': 8530,
'LotSize': 0.45,
'Price': 470000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Breakfast room/Nook, Kitchen/Dining room combo, 2+ family rooms, Upstairs & Downstairs family rooms, Wet bar in family room, Breakfast Bar/Counter, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen custom cabinets, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, Great room, 2nd bedroom: 14X14, 3rd bedroom: 15X15, 4th Bedroom: 16X14, Alarm system owned, Blinds, Pot shelves, Tile floors, Water conditioner owned, Water filtering system, Window Coverings Throughout, Wine refrigerator',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 18,
'Address': '8308 Vassar Ave, Swarthmore, PA 19088',
'Beds': 5,
'Baths': 5,
'HouseSize': 14100,
'LotSize': 1.9,
'Price': 1900000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Marble/Stone flooring in kitchen, Recessed lighting in kitchen, Walk-in pantry, Built-in bookcases in living room, Built-in entertainment center, Formal living room, Vaulted ceiling in living room, 2 master bedrooms, Dressing room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 17X13, 3rd bedroom: 16X12, 4th Bedroom: 21X21, 5th Bedroom: 12X16, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Convection oven, Double built-in electric ovens, Gas stove',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 19,
'Address': '8913 Lakeshore Dr, Jacksons Gap, AL 36863',
'Beds': 4,
'Baths': 3,
'HouseSize': 12320,
'LotSize': 0.87,
'Price': 900000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, 2+ family rooms, Downstairs family room, Separate family room, Upstairs family room, Breakfast nook (eating area), Kitchen custom cabinets, Kitchen island, Tile countertops in kitchen, Walk-in pantry, Formal living room, Front living room, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 16X13, 3rd bedroom: 16X13, 4th Bedroom: 20X14, Blinds, Built-in electric oven, Built-in microwave, Carpet, Gas cooktop, Pot shelves, Tile floors',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 20,
'Address': '13673 Pearl Dr #7, Monroe, MI 48161',
'Beds': 4,
'Baths': 2,
'HouseSize': 7300,
'LotSize': 0.3,
'Price': 399000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Separate family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen custom cabinets, Pantry, Formal living room, Ceiling fan in master bedroom, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 15x15, 3rd bedroom: 13x12, 4th Bedroom: 14x12, Alarm system wired, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Gas cooktop, Marble/Stone floors, Tile floors, Window coverings partial',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 21,
'Address': '15447 Via Viento, Atascadero, CA 93420',
'Beds': 4,
'Baths': 3,
'HouseSize': 11300,
'LotSize': 1.06,
'Price': 1100000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 2nd floor, 3/4 bath downstairs, Formal dining room, Downstairs family room, Breakfast nook (eating area), Granite countertops in kitchen, Hardwood flooring in kitchen, Kitchen island, Pantry, Formal living room, Front living room, Sunken living room, Vaulted ceiling in living room, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 15X11, 3rd bedroom: 12X17, 4th Bedroom: 14X18, Blinds, Built-in microwave, Carpet, Double built-in electric ovens, Drywall, Tile floors, Window Coverings Throughout',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 22,
'Address': '114840 Interlake Ave N, Seattle, WA 98131',
'Beds': 4,
'Baths': 2,
'HouseSize': 7990,
'LotSize': 2.2,
'Price': 400000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, Living/Dining room combo, Downstairs family room, Separate family room, Breakfast Bar/Counter, Garden window in kitchen, Kitchen custom cabinets, Tile countertops in kitchen, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 18X15, 3rd bedroom: 18X15, 4th Bedroom: 17X11, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Double built-in gas ovens, Gas cooktop, Intercom system, Shutters, Tile floors, Water conditioner owned, Water filtering system',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 23,
'Address': '1552 College Ave, Winnipeg, MB R2W10',
'Beds': 4,
'Baths': 2,
'HouseSize': 5200,
'LotSize': 3.66,
'Price': 330000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, 2+ family rooms, Separate family room, Upstairs & Downstairs family rooms, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Entry foyer, Formal living room, Front living room, Vaulted ceiling in living room, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 14X13, 3rd bedroom: 13X13, 4th Bedroom: 14X12, Blinds, Carpet, Ceiling fan(s), Double built-in electric ovens, Gas stove, Pot shelves, Tile floors',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 24,
'Address': '3929 Freedman St, Jacksonville, IL 62656',
'Beds': 4,
'Baths': 3,
'HouseSize': 6120,
'LotSize': 1.7,
'Price': 200000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Dining area, Family/Dining room combo, 2+ family rooms, Downstairs family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen custom cabinets, Recessed lighting in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 12x14, 3rd bedroom: 12x13, 4th Bedroom: 13x16, Blinds, Built-in microwave, Carpet, Double built-in gas ovens, Drywall, Gas cooktop, Tile floors, Water conditioner owned, Window Coverings Throughout',
'YearBuilt': 2011,
'Type': 0,
'Status': 2,
}, {
'ID': 25,
'Address': '54732 Crystal Dr, Beulah, MI 49617',
'Beds': 3,
'Baths': 2,
'HouseSize': 8300,
'LotSize': 0.5,
'Price': 590000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Living/Dining room combo, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Garden window in kitchen, Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Tile flooring in kitchen, Formal living room, Front living room, Built-in bookcases in master bedroom, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 12X12, 3rd bedroom: 12X12, Blinds, Built-in microwave, Ceiling fan(s), Double built-in gas ovens, Gas cooktop, Manmade wood or laminate floors, Shutters, Tile floors, Window coverings partial, Window Coverings Throughout',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'*.tsx': {
loader: 'demo-ts-loader',
typescriptOptions: {
jsx: 'react',
},
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'react': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const houses = [
{
ID: 1,
Address: '652 Avonwick Gate, Toronto, ON M3A25',
Beds: 4,
Baths: 4,
HouseSize: 7500,
LotSize: 0.8,
Price: 780000,
Features:
'Dishwasher, Disposal, Separate laundry room, 3/4 bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Hardwood flooring in kitchen, Kitchen island, Solid surface countertops in kitchen, Entry foyer, Front living room, Ceiling fan in master bedroom, Master bedroom separate from other, Mirrored door closet in master bedroom, 2nd bedroom: 11x13, 3rd bedroom: 11x14, 4th Bedroom: 18x13, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Convection oven, Double built-in gas ovens, Gas cooktop, Gas stove, Marble/Stone floors',
YearBuilt: 2008,
Type: 0,
Status: 1,
},
{
ID: 2,
Address: '82649 Topeka St, Riverbank, CA 95360',
Beds: 5,
Baths: 3,
HouseSize: 12500,
LotSize: 1.2,
Price: 1750000,
Features:
'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Pantry, Walk-in pantry, Entry foyer, Formal living room, Rear living room, Vaulted ceiling in living room, Balcony in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13X20, 3rd bedroom: 13X17, 4th Bedroom: 13X18, 5th Bedroom: 14X16, Alarm system owned, Blinds, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Gas cooktop, Intercom system, Marble/Stone floors, Water conditioner owned, Water filtering system, Window Coverings Throughout',
YearBuilt: 2009,
Type: 0,
Status: 0,
},
{
ID: 3,
Address: '328 S Kerema Ave, Milford, CT 06465',
Beds: 4,
Baths: 2,
HouseSize: 8356,
LotSize: 0.04,
Price: 350000,
Features:
'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 2nd floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Wet bar in family room, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen island, Marble/Stone flooring in kitchen, Pantry, Formal living room, Front living room, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 16x12, 3rd bedroom: 13x16, 4th Bedroom: 18x12, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Double built-in electric ovens, Gas cooktop, Marble/Stone floors',
YearBuilt: 2010,
Type: 0,
Status: 0,
},
{
ID: 4,
Address: '5119 Beryl Dr, San Antonio, TX 78212',
Beds: 4,
Baths: 2,
HouseSize: 7980,
LotSize: 0.7,
Price: 455000,
Features:
'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Living/Dining room combo, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Formal living room, Front living room, Ceiling fan in master bedroom, Master bedroom downstairs, Walk-in closet in master bedroom, 2nd bedroom: 15x13, 3rd bedroom: 12x12, 4th Bedroom: 14x12, Alarm system owned, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Convection oven, Double built-in electric ovens, Electric cooktop, Intercom system, Tile floors',
YearBuilt: 2007,
Type: 0,
Status: 1,
},
{
ID: 5,
Address: '61207 16th St N, Moorhead, MN 56564',
Beds: 5,
Baths: 4,
HouseSize: 14250,
LotSize: 1.1,
Price: 1700000,
Features:
'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Formal living room, Rear living room, Sunken living room, Vaulted ceiling in living room, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 16X17, 3rd bedroom: 14X16, 4th Bedroom: 13X13, 5th Bedroom: 12X12, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Gas cooktop, Marble/Stone floors, Pot shelves, Water conditioner owned, Water filtering system, Window Coverings Throughout',
YearBuilt: 2010,
Type: 0,
Status: 0,
},
{
ID: 6,
Address: '8512 Tanglewood Cir, Reform, AL 35487',
Beds: 3,
Baths: 2,
HouseSize: 5600,
LotSize: 0.2,
Price: 250000,
Features:
'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Marble/Stone flooring in kitchen, Pantry, Formal living room, Front living room, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 11X15, 3rd bedroom: 11X14, Alarm system owned, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Double built-in electric ovens, Drapes, Electric cooktop, Marble/Stone floors, Window Coverings Throughout, Wine refrigerator',
YearBuilt: 2011,
Type: 0,
Status: 0,
},
{
ID: 7,
Address: '7121 Bailey St, Worcester, MA 01605',
Beds: 4,
Baths: 3,
HouseSize: 6900,
LotSize: 2.1,
Price: 555000,
Features:
'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Kitchen island, Recessed lighting in kitchen, Tile countertops in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Dressing room in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 14x16, 3rd bedroom: 12x13, 4th Bedroom: 13x14, Carpet, Double built-in electric ovens, Drywall, Gas cooktop, Manmade wood or laminate floors, Marble/Stone floors, Water conditioner loope',
YearBuilt: 2008,
Type: 0,
Status: 1,
},
{
ID: 8,
Address: '620201 Plymouth Rd, Detroit, MI 48224',
Beds: 4,
Baths: 4,
HouseSize: 7840,
LotSize: 0.33,
Price: 610000,
Features:
'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, 2+ family rooms, Separate family room, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Walk-in pantry, Entry foyer, Formal living room, Rear living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom downstairs, Walk-in closet in master bedroom, 2nd bedroom: 12x15, 3rd bedroom: 12x15, 4th Bedroom: 12x15, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Electric cooktop, Shutters, Skylight(s), Water conditioner owned, Water filtering system, Window coverings partial',
YearBuilt: 2010,
Type: 0,
Status: 0,
},
{
ID: 9,
Address: '1198 Theresa Cir, Whitinsville, MA 01582',
Beds: 4,
Baths: 3,
HouseSize: 4990,
LotSize: 0.8,
Price: 320000,
Features:
'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, 1/2 bath downstairs, Formal dining room, 2+ family rooms, Built-in bookcases in family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen island, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Built-in bookcases in master bedroom, Built-in entertainment center in master bedroom, Ceiling fan in master bedroom, Dressing room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13x12, 3rd bedroom: 12x12, 4th Bedroom: 13x12, Alarm system rented, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Double built-in gas ovens, Tile floors, Window Coverings Throughout',
YearBuilt: 2011,
Type: 0,
Status: 0,
},
{
ID: 10,
Address: '420234 Rogge St, Detroit, MI 48234',
Beds: 4,
Baths: 3,
HouseSize: 6900,
LotSize: 3.9,
Price: 320000,
Features:
'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Granite countertops in kitchen, Kitchen custom cabinets, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, 2nd bedroom: 12x15, 3rd bedroom: 13x13, 4th Bedroom: 12x14, Alarm system owned, Carpet, Ceiling fan(s), Double built-in gas ovens, Marble/Stone floors, Shutters, Window Coverings Throughout',
YearBuilt: 2007,
Type: 0,
Status: 1,
},
{
ID: 11,
Address: '6677 Kingsbridge Ln, Ridgewood, NJ 07454',
Beds: 5,
Baths: 4,
HouseSize: 14750,
LotSize: 0.99,
Price: 1100000,
Features:
'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Dining area, Formal dining room, 2+ family rooms, Breakfast Bar/Counter, Kitchen island, Entry foyer, Rear living room, 2 master bedrooms, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Great room, 2nd bedroom: 15X13, 3rd bedroom: 11X12, 4th Bedroom: 11X12, 5th Bedroom: 11X10, Atrium(s), Blinds, Built-in gas oven, Carpet, Ceiling fan(s), Intercom system, Marble/Stone floors, Pot shelves',
YearBuilt: 2009,
Type: 0,
Status: 0,
},
{
ID: 12,
Address: '4815 Warbler Ln, Rockport, TX 78388',
Beds: 4,
Baths: 3,
HouseSize: 9600,
LotSize: 1.34,
Price: 700000,
Features:
'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Separate family room, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Hardwood flooring in kitchen, Pantry, Entry foyer, Formal living room, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 16X13, 3rd bedroom: 15X14, 4th Bedroom: 17X13, Blinds, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Electric stove, Intercom system, Shutters, Water conditioner owned',
YearBuilt: 2010,
Type: 0,
Status: 0,
},
{
ID: 13,
Address: '115636 Hodges Ln, Moundville, AL 35474',
Beds: 3,
Baths: 3,
HouseSize: 7550,
LotSize: 1.6,
Price: 450000,
Features:
'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, 1/2 bath downstairs, Formal dining room, Separate family room, Breakfast Bar/Counter, Tile flooring in kitchen, Walk-in pantry, Formal living room, Front living room, Sunken living room, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13X14, 3rd bedroom: 12X13, Blinds, Built-in electric oven, Carpet, Ceiling fan(s), Drapes, Drywall, Gas cooktop, Tile floors',
YearBuilt: 2011,
Type: 0,
Status: 0,
},
{
ID: 14,
Address: '6351 Forrest St, Jersey City, NJ 07308',
Beds: 4,
Baths: 4,
HouseSize: 10255,
LotSize: 0.3,
Price: 320000,
Features:
'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Tile flooring in kitchen, Rear living room, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 14x14, 3rd bedroom: 11x13, 4th Bedroom: 15x11, Carpet, Double built-in electric ovens, Marble/Stone floors, Tile floors',
YearBuilt: 2008,
Type: 0,
Status: 1,
},
{
ID: 15,
Address: '1268 Bright St, Jersey City, NJ 07308',
Beds: 4,
Baths: 2,
HouseSize: 5770,
LotSize: 1.3,
Price: 310000,
Features:
'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Entry foyer, Formal living room, Sunken living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 14x14, 3rd bedroom: 14x14, 4th Bedroom: 14x14, Alarm system owned, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Electric cooktop, Intercom system, Marble/Stone floors, Shutters, Tile floors, Water conditioner loope, Window Coverings Throughout',
YearBuilt: 2008,
Type: 0,
Status: 1,
},
{
ID: 16,
Address: '32125 4th St NW #2, Washington, DC 20001',
Beds: 5,
Baths: 6,
HouseSize: 14600,
LotSize: 2.3,
Price: 2800000,
Features:
'Washer/Dryer on 1st floor, Washer/Dryer on 2nd floor, Full bath downstairs, Breakfast room/Nook, Formal dining room, Downstairs family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Built-in bookcases in living room, Entry foyer, Formal living room, Vaulted ceiling in living room, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, Great room, 2nd bedroom: 20X18, 3rd bedroom: 15X14, 4th Bedroom: 22X19, 5th Bedroom: 14X16, Alarm system owned, Built-in microwave, Carpet, Intercom system, Marble/Stone floors, Shutters, Warming drawer, Water conditioner owned, Window Coverings Throughout, Wine refrigerator',
YearBuilt: 2010,
Type: 0,
Status: 2,
},
{
ID: 17,
Address: '7700 Elmwood Dr, Cleveland, OK 74021',
Beds: 4,
Baths: 4,
HouseSize: 8530,
LotSize: 0.45,
Price: 470000,
Features:
'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Breakfast room/Nook, Kitchen/Dining room combo, 2+ family rooms, Upstairs & Downstairs family rooms, Wet bar in family room, Breakfast Bar/Counter, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen custom cabinets, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, Great room, 2nd bedroom: 14X14, 3rd bedroom: 15X15, 4th Bedroom: 16X14, Alarm system owned, Blinds, Pot shelves, Tile floors, Water conditioner owned, Water filtering system, Window Coverings Throughout, Wine refrigerator',
YearBuilt: 2009,
Type: 0,
Status: 0,
},
{
ID: 18,
Address: '8308 Vassar Ave, Swarthmore, PA 19088',
Beds: 5,
Baths: 5,
HouseSize: 14100,
LotSize: 1.9,
Price: 1900000,
Features:
'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Marble/Stone flooring in kitchen, Recessed lighting in kitchen, Walk-in pantry, Built-in bookcases in living room, Built-in entertainment center, Formal living room, Vaulted ceiling in living room, 2 master bedrooms, Dressing room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 17X13, 3rd bedroom: 16X12, 4th Bedroom: 21X21, 5th Bedroom: 12X16, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Convection oven, Double built-in electric ovens, Gas stove',
YearBuilt: 2009,
Type: 0,
Status: 0,
},
{
ID: 19,
Address: '8913 Lakeshore Dr, Jacksons Gap, AL 36863',
Beds: 4,
Baths: 3,
HouseSize: 12320,
LotSize: 0.87,
Price: 900000,
Features:
'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, 2+ family rooms, Downstairs family room, Separate family room, Upstairs family room, Breakfast nook (eating area), Kitchen custom cabinets, Kitchen island, Tile countertops in kitchen, Walk-in pantry, Formal living room, Front living room, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 16X13, 3rd bedroom: 16X13, 4th Bedroom: 20X14, Blinds, Built-in electric oven, Built-in microwave, Carpet, Gas cooktop, Pot shelves, Tile floors',
YearBuilt: 2007,
Type: 0,
Status: 1,
},
{
ID: 20,
Address: '13673 Pearl Dr #7, Monroe, MI 48161',
Beds: 4,
Baths: 2,
HouseSize: 7300,
LotSize: 0.3,
Price: 399000,
Features:
'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Separate family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen custom cabinets, Pantry, Formal living room, Ceiling fan in master bedroom, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 15x15, 3rd bedroom: 13x12, 4th Bedroom: 14x12, Alarm system wired, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Gas cooktop, Marble/Stone floors, Tile floors, Window coverings partial',
YearBuilt: 2010,
Type: 0,
Status: 0,
},
{
ID: 21,
Address: '15447 Via Viento, Atascadero, CA 93420',
Beds: 4,
Baths: 3,
HouseSize: 11300,
LotSize: 1.06,
Price: 1100000,
Features:
'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 2nd floor, 3/4 bath downstairs, Formal dining room, Downstairs family room, Breakfast nook (eating area), Granite countertops in kitchen, Hardwood flooring in kitchen, Kitchen island, Pantry, Formal living room, Front living room, Sunken living room, Vaulted ceiling in living room, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 15X11, 3rd bedroom: 12X17, 4th Bedroom: 14X18, Blinds, Built-in microwave, Carpet, Double built-in electric ovens, Drywall, Tile floors, Window Coverings Throughout',
YearBuilt: 2007,
Type: 0,
Status: 1,
},
{
ID: 22,
Address: '114840 Interlake Ave N, Seattle, WA 98131',
Beds: 4,
Baths: 2,
HouseSize: 7990,
LotSize: 2.2,
Price: 400000,
Features:
'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, Living/Dining room combo, Downstairs family room, Separate family room, Breakfast Bar/Counter, Garden window in kitchen, Kitchen custom cabinets, Tile countertops in kitchen, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 18X15, 3rd bedroom: 18X15, 4th Bedroom: 17X11, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Double built-in gas ovens, Gas cooktop, Intercom system, Shutters, Tile floors, Water conditioner owned, Water filtering system',
YearBuilt: 2007,
Type: 0,
Status: 1,
},
{
ID: 23,
Address: '1552 College Ave, Winnipeg, MB R2W10',
Beds: 4,
Baths: 2,
HouseSize: 5200,
LotSize: 3.66,
Price: 330000,
Features:
'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, 2+ family rooms, Separate family room, Upstairs & Downstairs family rooms, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Entry foyer, Formal living room, Front living room, Vaulted ceiling in living room, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 14X13, 3rd bedroom: 13X13, 4th Bedroom: 14X12, Blinds, Carpet, Ceiling fan(s), Double built-in electric ovens, Gas stove, Pot shelves, Tile floors',
YearBuilt: 2008,
Type: 0,
Status: 1,
},
{
ID: 24,
Address: '3929 Freedman St, Jacksonville, IL 62656',
Beds: 4,
Baths: 3,
HouseSize: 6120,
LotSize: 1.7,
Price: 200000,
Features:
'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Dining area, Family/Dining room combo, 2+ family rooms, Downstairs family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen custom cabinets, Recessed lighting in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 12x14, 3rd bedroom: 12x13, 4th Bedroom: 13x16, Blinds, Built-in microwave, Carpet, Double built-in gas ovens, Drywall, Gas cooktop, Tile floors, Water conditioner owned, Window Coverings Throughout',
YearBuilt: 2011,
Type: 0,
Status: 2,
},
{
ID: 25,
Address: '54732 Crystal Dr, Beulah, MI 49617',
Beds: 3,
Baths: 2,
HouseSize: 8300,
LotSize: 0.5,
Price: 590000,
Features:
'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Living/Dining room combo, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Garden window in kitchen, Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Tile flooring in kitchen, Formal living room, Front living room, Built-in bookcases in master bedroom, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 12X12, 3rd bedroom: 12X12, Blinds, Built-in microwave, Ceiling fan(s), Double built-in gas ovens, Gas cooktop, Manmade wood or laminate floors, Shutters, Tile floors, Window coverings partial, Window Coverings Throughout',
YearBuilt: 2009,
Type: 0,
Status: 0,
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>

<dx-card-view
id="cardView"
[dataSource]="houses"
keyExpr="ID"
cardsPerRow="auto"
[cardMinWidth]="350"
[wordWrapEnabled]="true"
>
<dxo-card-view-sorting mode="multiple"></dxo-card-view-sorting>
<dxo-card-view-card-cover
[imageExpr]="imageExpr"
[altExpr]="altExpr"
></dxo-card-view-card-cover>
<dxi-card-view-column dataField="Address"></dxi-card-view-column>
<dxi-card-view-column
dataField="Price"
format="currency"
sortOrder="asc"
></dxi-card-view-column>
<dxi-card-view-column dataField="HouseSize"></dxi-card-view-column>
<dxi-card-view-column dataField="Baths"></dxi-card-view-column>
<dxi-card-view-column
dataField="Beds"
sortOrder="desc"
></dxi-card-view-column>
</dx-card-view>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxCardViewModule } from 'devextreme-angular';
import { House, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
styleUrls: [`app/app.component.css`],
selector: 'demo-app',
templateUrl: `app/app.component.html`,
providers: [Service],
imports: [
DxCardViewModule,
],
})
export class AppComponent {
houses: House[];
imageExpr({ ID }: House): string {
return `../../../../images/houses/${ID}.jpg`;
}
altExpr(): string {
return 'Photo of the house';
}
constructor(service: Service) {
this.houses = service.getHouses();
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
import { Injectable } from '@angular/core';
export interface House {
ID: number;
Address: string;
Beds: number;
Baths: number;
HouseSize: number;
LotSize: number;
Price: number;
Features: string;
YearBuilt: number;
Type: number;
Status: number;
}
const houses: House[] = [{
'ID': 1,
'Address': '652 Avonwick Gate, Toronto, ON M3A25',
'Beds': 4,
'Baths': 4,
'HouseSize': 7500,
'LotSize': 0.8,
'Price': 780000,
'Features': 'Dishwasher, Disposal, Separate laundry room, 3/4 bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Hardwood flooring in kitchen, Kitchen island, Solid surface countertops in kitchen, Entry foyer, Front living room, Ceiling fan in master bedroom, Master bedroom separate from other, Mirrored door closet in master bedroom, 2nd bedroom: 11x13, 3rd bedroom: 11x14, 4th Bedroom: 18x13, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Convection oven, Double built-in gas ovens, Gas cooktop, Gas stove, Marble/Stone floors',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 2,
'Address': '82649 Topeka St, Riverbank, CA 95360',
'Beds': 5,
'Baths': 3,
'HouseSize': 12500,
'LotSize': 1.2,
'Price': 1750000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Pantry, Walk-in pantry, Entry foyer, Formal living room, Rear living room, Vaulted ceiling in living room, Balcony in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13X20, 3rd bedroom: 13X17, 4th Bedroom: 13X18, 5th Bedroom: 14X16, Alarm system owned, Blinds, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Gas cooktop, Intercom system, Marble/Stone floors, Water conditioner owned, Water filtering system, Window Coverings Throughout',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 3,
'Address': '328 S Kerema Ave, Milford, CT 06465',
'Beds': 4,
'Baths': 2,
'HouseSize': 8356,
'LotSize': 0.04,
'Price': 350000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 2nd floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Wet bar in family room, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen island, Marble/Stone flooring in kitchen, Pantry, Formal living room, Front living room, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 16x12, 3rd bedroom: 13x16, 4th Bedroom: 18x12, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Double built-in electric ovens, Gas cooktop, Marble/Stone floors',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 4,
'Address': '5119 Beryl Dr, San Antonio, TX 78212',
'Beds': 4,
'Baths': 2,
'HouseSize': 7980,
'LotSize': 0.7,
'Price': 455000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Living/Dining room combo, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Formal living room, Front living room, Ceiling fan in master bedroom, Master bedroom downstairs, Walk-in closet in master bedroom, 2nd bedroom: 15x13, 3rd bedroom: 12x12, 4th Bedroom: 14x12, Alarm system owned, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Convection oven, Double built-in electric ovens, Electric cooktop, Intercom system, Tile floors',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 5,
'Address': '61207 16th St N, Moorhead, MN 56564',
'Beds': 5,
'Baths': 4,
'HouseSize': 14250,
'LotSize': 1.1,
'Price': 1700000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Formal living room, Rear living room, Sunken living room, Vaulted ceiling in living room, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 16X17, 3rd bedroom: 14X16, 4th Bedroom: 13X13, 5th Bedroom: 12X12, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Gas cooktop, Marble/Stone floors, Pot shelves, Water conditioner owned, Water filtering system, Window Coverings Throughout',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 6,
'Address': '8512 Tanglewood Cir, Reform, AL 35487',
'Beds': 3,
'Baths': 2,
'HouseSize': 5600,
'LotSize': 0.2,
'Price': 250000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Marble/Stone flooring in kitchen, Pantry, Formal living room, Front living room, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 11X15, 3rd bedroom: 11X14, Alarm system owned, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Double built-in electric ovens, Drapes, Electric cooktop, Marble/Stone floors, Window Coverings Throughout, Wine refrigerator',
'YearBuilt': 2011,
'Type': 0,
'Status': 0,
}, {
'ID': 7,
'Address': '7121 Bailey St, Worcester, MA 01605',
'Beds': 4,
'Baths': 3,
'HouseSize': 6900,
'LotSize': 2.1,
'Price': 555000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Kitchen island, Recessed lighting in kitchen, Tile countertops in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Dressing room in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 14x16, 3rd bedroom: 12x13, 4th Bedroom: 13x14, Carpet, Double built-in electric ovens, Drywall, Gas cooktop, Manmade wood or laminate floors, Marble/Stone floors, Water conditioner loope',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 8,
'Address': '620201 Plymouth Rd, Detroit, MI 48224',
'Beds': 4,
'Baths': 4,
'HouseSize': 7840,
'LotSize': 0.33,
'Price': 610000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, 2+ family rooms, Separate family room, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Walk-in pantry, Entry foyer, Formal living room, Rear living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom downstairs, Walk-in closet in master bedroom, 2nd bedroom: 12x15, 3rd bedroom: 12x15, 4th Bedroom: 12x15, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Electric cooktop, Shutters, Skylight(s), Water conditioner owned, Water filtering system, Window coverings partial',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 9,
'Address': '1198 Theresa Cir, Whitinsville, MA 01582',
'Beds': 4,
'Baths': 3,
'HouseSize': 4990,
'LotSize': 0.8,
'Price': 320000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, 1/2 bath downstairs, Formal dining room, 2+ family rooms, Built-in bookcases in family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen island, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Built-in bookcases in master bedroom, Built-in entertainment center in master bedroom, Ceiling fan in master bedroom, Dressing room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13x12, 3rd bedroom: 12x12, 4th Bedroom: 13x12, Alarm system rented, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Double built-in gas ovens, Tile floors, Window Coverings Throughout',
'YearBuilt': 2011,
'Type': 0,
'Status': 0,
}, {
'ID': 10,
'Address': '420234 Rogge St, Detroit, MI 48234',
'Beds': 4,
'Baths': 3,
'HouseSize': 6900,
'LotSize': 3.9,
'Price': 320000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Granite countertops in kitchen, Kitchen custom cabinets, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, 2nd bedroom: 12x15, 3rd bedroom: 13x13, 4th Bedroom: 12x14, Alarm system owned, Carpet, Ceiling fan(s), Double built-in gas ovens, Marble/Stone floors, Shutters, Window Coverings Throughout',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 11,
'Address': '6677 Kingsbridge Ln, Ridgewood, NJ 07454',
'Beds': 5,
'Baths': 4,
'HouseSize': 14750,
'LotSize': 0.99,
'Price': 1100000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Dining area, Formal dining room, 2+ family rooms, Breakfast Bar/Counter, Kitchen island, Entry foyer, Rear living room, 2 master bedrooms, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Great room, 2nd bedroom: 15X13, 3rd bedroom: 11X12, 4th Bedroom: 11X12, 5th Bedroom: 11X10, Atrium(s), Blinds, Built-in gas oven, Carpet, Ceiling fan(s), Intercom system, Marble/Stone floors, Pot shelves',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 12,
'Address': '4815 Warbler Ln, Rockport, TX 78388',
'Beds': 4,
'Baths': 3,
'HouseSize': 9600,
'LotSize': 1.34,
'Price': 700000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Separate family room, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Hardwood flooring in kitchen, Pantry, Entry foyer, Formal living room, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 16X13, 3rd bedroom: 15X14, 4th Bedroom: 17X13, Blinds, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Electric stove, Intercom system, Shutters, Water conditioner owned',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 13,
'Address': '115636 Hodges Ln, Moundville, AL 35474',
'Beds': 3,
'Baths': 3,
'HouseSize': 7550,
'LotSize': 1.6,
'Price': 450000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, 1/2 bath downstairs, Formal dining room, Separate family room, Breakfast Bar/Counter, Tile flooring in kitchen, Walk-in pantry, Formal living room, Front living room, Sunken living room, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13X14, 3rd bedroom: 12X13, Blinds, Built-in electric oven, Carpet, Ceiling fan(s), Drapes, Drywall, Gas cooktop, Tile floors',
'YearBuilt': 2011,
'Type': 0,
'Status': 0,
}, {
'ID': 14,
'Address': '6351 Forrest St, Jersey City, NJ 07308',
'Beds': 4,
'Baths': 4,
'HouseSize': 10255,
'LotSize': 0.3,
'Price': 320000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Tile flooring in kitchen, Rear living room, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 14x14, 3rd bedroom: 11x13, 4th Bedroom: 15x11, Carpet, Double built-in electric ovens, Marble/Stone floors, Tile floors',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 15,
'Address': '1268 Bright St, Jersey City, NJ 07308',
'Beds': 4,
'Baths': 2,
'HouseSize': 5770,
'LotSize': 1.3,
'Price': 310000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Entry foyer, Formal living room, Sunken living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 14x14, 3rd bedroom: 14x14, 4th Bedroom: 14x14, Alarm system owned, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Electric cooktop, Intercom system, Marble/Stone floors, Shutters, Tile floors, Water conditioner loope, Window Coverings Throughout',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 16,
'Address': '32125 4th St NW #2, Washington, DC 20001',
'Beds': 5,
'Baths': 6,
'HouseSize': 14600,
'LotSize': 2.3,
'Price': 2800000,
'Features': 'Washer/Dryer on 1st floor, Washer/Dryer on 2nd floor, Full bath downstairs, Breakfast room/Nook, Formal dining room, Downstairs family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Built-in bookcases in living room, Entry foyer, Formal living room, Vaulted ceiling in living room, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, Great room, 2nd bedroom: 20X18, 3rd bedroom: 15X14, 4th Bedroom: 22X19, 5th Bedroom: 14X16, Alarm system owned, Built-in microwave, Carpet, Intercom system, Marble/Stone floors, Shutters, Warming drawer, Water conditioner owned, Window Coverings Throughout, Wine refrigerator',
'YearBuilt': 2010,
'Type': 0,
'Status': 2,
}, {
'ID': 17,
'Address': '7700 Elmwood Dr, Cleveland, OK 74021',
'Beds': 4,
'Baths': 4,
'HouseSize': 8530,
'LotSize': 0.45,
'Price': 470000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Breakfast room/Nook, Kitchen/Dining room combo, 2+ family rooms, Upstairs & Downstairs family rooms, Wet bar in family room, Breakfast Bar/Counter, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen custom cabinets, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, Great room, 2nd bedroom: 14X14, 3rd bedroom: 15X15, 4th Bedroom: 16X14, Alarm system owned, Blinds, Pot shelves, Tile floors, Water conditioner owned, Water filtering system, Window Coverings Throughout, Wine refrigerator',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 18,
'Address': '8308 Vassar Ave, Swarthmore, PA 19088',
'Beds': 5,
'Baths': 5,
'HouseSize': 14100,
'LotSize': 1.9,
'Price': 1900000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Marble/Stone flooring in kitchen, Recessed lighting in kitchen, Walk-in pantry, Built-in bookcases in living room, Built-in entertainment center, Formal living room, Vaulted ceiling in living room, 2 master bedrooms, Dressing room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 17X13, 3rd bedroom: 16X12, 4th Bedroom: 21X21, 5th Bedroom: 12X16, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Convection oven, Double built-in electric ovens, Gas stove',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 19,
'Address': '8913 Lakeshore Dr, Jacksons Gap, AL 36863',
'Beds': 4,
'Baths': 3,
'HouseSize': 12320,
'LotSize': 0.87,
'Price': 900000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, 2+ family rooms, Downstairs family room, Separate family room, Upstairs family room, Breakfast nook (eating area), Kitchen custom cabinets, Kitchen island, Tile countertops in kitchen, Walk-in pantry, Formal living room, Front living room, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 16X13, 3rd bedroom: 16X13, 4th Bedroom: 20X14, Blinds, Built-in electric oven, Built-in microwave, Carpet, Gas cooktop, Pot shelves, Tile floors',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 20,
'Address': '13673 Pearl Dr #7, Monroe, MI 48161',
'Beds': 4,
'Baths': 2,
'HouseSize': 7300,
'LotSize': 0.3,
'Price': 399000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Separate family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen custom cabinets, Pantry, Formal living room, Ceiling fan in master bedroom, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 15x15, 3rd bedroom: 13x12, 4th Bedroom: 14x12, Alarm system wired, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Gas cooktop, Marble/Stone floors, Tile floors, Window coverings partial',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 21,
'Address': '15447 Via Viento, Atascadero, CA 93420',
'Beds': 4,
'Baths': 3,
'HouseSize': 11300,
'LotSize': 1.06,
'Price': 1100000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 2nd floor, 3/4 bath downstairs, Formal dining room, Downstairs family room, Breakfast nook (eating area), Granite countertops in kitchen, Hardwood flooring in kitchen, Kitchen island, Pantry, Formal living room, Front living room, Sunken living room, Vaulted ceiling in living room, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 15X11, 3rd bedroom: 12X17, 4th Bedroom: 14X18, Blinds, Built-in microwave, Carpet, Double built-in electric ovens, Drywall, Tile floors, Window Coverings Throughout',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 22,
'Address': '114840 Interlake Ave N, Seattle, WA 98131',
'Beds': 4,
'Baths': 2,
'HouseSize': 7990,
'LotSize': 2.2,
'Price': 400000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, Living/Dining room combo, Downstairs family room, Separate family room, Breakfast Bar/Counter, Garden window in kitchen, Kitchen custom cabinets, Tile countertops in kitchen, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 18X15, 3rd bedroom: 18X15, 4th Bedroom: 17X11, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Double built-in gas ovens, Gas cooktop, Intercom system, Shutters, Tile floors, Water conditioner owned, Water filtering system',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 23,
'Address': '1552 College Ave, Winnipeg, MB R2W10',
'Beds': 4,
'Baths': 2,
'HouseSize': 5200,
'LotSize': 3.66,
'Price': 330000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, 2+ family rooms, Separate family room, Upstairs & Downstairs family rooms, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Entry foyer, Formal living room, Front living room, Vaulted ceiling in living room, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 14X13, 3rd bedroom: 13X13, 4th Bedroom: 14X12, Blinds, Carpet, Ceiling fan(s), Double built-in electric ovens, Gas stove, Pot shelves, Tile floors',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 24,
'Address': '3929 Freedman St, Jacksonville, IL 62656',
'Beds': 4,
'Baths': 3,
'HouseSize': 6120,
'LotSize': 1.7,
'Price': 200000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Dining area, Family/Dining room combo, 2+ family rooms, Downstairs family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen custom cabinets, Recessed lighting in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 12x14, 3rd bedroom: 12x13, 4th Bedroom: 13x16, Blinds, Built-in microwave, Carpet, Double built-in gas ovens, Drywall, Gas cooktop, Tile floors, Water conditioner owned, Window Coverings Throughout',
'YearBuilt': 2011,
'Type': 0,
'Status': 2,
}, {
'ID': 25,
'Address': '54732 Crystal Dr, Beulah, MI 49617',
'Beds': 3,
'Baths': 2,
'HouseSize': 8300,
'LotSize': 0.5,
'Price': 590000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Living/Dining room combo, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Garden window in kitchen, Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Tile flooring in kitchen, Formal living room, Front living room, Built-in bookcases in master bedroom, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 12X12, 3rd bedroom: 12X12, Blinds, Built-in microwave, Ceiling fan(s), Double built-in gas ovens, Gas cooktop, Manmade wood or laminate floors, Shutters, Tile floors, Window coverings partial, Window Coverings Throughout',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}];
@Injectable()
export class Service {
getHouses() {
return houses;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.1.0"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<DxCardView
:data-source="houses"
key-expr="ID"
cards-per-row="auto"
:card-min-width="350"
:word-wrap-enabled="true"
>
<DxSorting
mode="multiple"
/>
<DxCardCover
:image-expr="imageExpr"
:alt-expr="altExpr"
/>
<DxColumn
data-field="Address"
/>
<DxColumn
data-field="Price"
format="currency"
sort-order="asc"
/>
<DxColumn
data-field="HouseSize"
/>
<DxColumn
data-field="Baths"
/>
<DxColumn
data-field="Beds"
sort-order="desc"
/>
</DxCardView>
</template>
<script setup lang="ts">
import { DxCardView, DxColumn, DxCardCover, DxSorting } from 'devextreme-vue/card-view';
import { houses, type House } from './data.ts';
function imageExpr({ ID }: House): string {
return `../../../../images/houses/${ID}.jpg`;
}
function altExpr(): string {
return 'Photo of the house';
}
</script>
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'typescript': {
'exports': 'ts',
},
'vue': {
format: 'global',
exports: 'Vue',
esModule: true,
},
'vuex': {
format: 'global',
exports: 'Vuex',
esModule: true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.40/dist/vue.global.js',
'@vue/shared': 'npm:@vue/shared@3.4.26/dist/shared.cjs.prod.js',
'dx-systemjs-vue-browser': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'vue-loader': 'loaders:demo-vue-loader.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
export interface House {
ID: number;
Address: string;
Beds: number;
Baths: number;
HouseSize: number;
LotSize: number;
Price: number;
Features: string;
YearBuilt: number;
Type: number;
Status: number;
}
export const houses: House[] = [{
'ID': 1,
'Address': '652 Avonwick Gate, Toronto, ON M3A25',
'Beds': 4,
'Baths': 4,
'HouseSize': 7500,
'LotSize': 0.8,
'Price': 780000,
'Features': 'Dishwasher, Disposal, Separate laundry room, 3/4 bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Hardwood flooring in kitchen, Kitchen island, Solid surface countertops in kitchen, Entry foyer, Front living room, Ceiling fan in master bedroom, Master bedroom separate from other, Mirrored door closet in master bedroom, 2nd bedroom: 11x13, 3rd bedroom: 11x14, 4th Bedroom: 18x13, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Convection oven, Double built-in gas ovens, Gas cooktop, Gas stove, Marble/Stone floors',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 2,
'Address': '82649 Topeka St, Riverbank, CA 95360',
'Beds': 5,
'Baths': 3,
'HouseSize': 12500,
'LotSize': 1.2,
'Price': 1750000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Pantry, Walk-in pantry, Entry foyer, Formal living room, Rear living room, Vaulted ceiling in living room, Balcony in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13X20, 3rd bedroom: 13X17, 4th Bedroom: 13X18, 5th Bedroom: 14X16, Alarm system owned, Blinds, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Gas cooktop, Intercom system, Marble/Stone floors, Water conditioner owned, Water filtering system, Window Coverings Throughout',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 3,
'Address': '328 S Kerema Ave, Milford, CT 06465',
'Beds': 4,
'Baths': 2,
'HouseSize': 8356,
'LotSize': 0.04,
'Price': 350000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 2nd floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Wet bar in family room, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen island, Marble/Stone flooring in kitchen, Pantry, Formal living room, Front living room, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 16x12, 3rd bedroom: 13x16, 4th Bedroom: 18x12, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Double built-in electric ovens, Gas cooktop, Marble/Stone floors',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 4,
'Address': '5119 Beryl Dr, San Antonio, TX 78212',
'Beds': 4,
'Baths': 2,
'HouseSize': 7980,
'LotSize': 0.7,
'Price': 455000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Living/Dining room combo, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Formal living room, Front living room, Ceiling fan in master bedroom, Master bedroom downstairs, Walk-in closet in master bedroom, 2nd bedroom: 15x13, 3rd bedroom: 12x12, 4th Bedroom: 14x12, Alarm system owned, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Convection oven, Double built-in electric ovens, Electric cooktop, Intercom system, Tile floors',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 5,
'Address': '61207 16th St N, Moorhead, MN 56564',
'Beds': 5,
'Baths': 4,
'HouseSize': 14250,
'LotSize': 1.1,
'Price': 1700000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Formal living room, Rear living room, Sunken living room, Vaulted ceiling in living room, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 16X17, 3rd bedroom: 14X16, 4th Bedroom: 13X13, 5th Bedroom: 12X12, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Gas cooktop, Marble/Stone floors, Pot shelves, Water conditioner owned, Water filtering system, Window Coverings Throughout',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 6,
'Address': '8512 Tanglewood Cir, Reform, AL 35487',
'Beds': 3,
'Baths': 2,
'HouseSize': 5600,
'LotSize': 0.2,
'Price': 250000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Marble/Stone flooring in kitchen, Pantry, Formal living room, Front living room, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 11X15, 3rd bedroom: 11X14, Alarm system owned, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Double built-in electric ovens, Drapes, Electric cooktop, Marble/Stone floors, Window Coverings Throughout, Wine refrigerator',
'YearBuilt': 2011,
'Type': 0,
'Status': 0,
}, {
'ID': 7,
'Address': '7121 Bailey St, Worcester, MA 01605',
'Beds': 4,
'Baths': 3,
'HouseSize': 6900,
'LotSize': 2.1,
'Price': 555000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Kitchen island, Recessed lighting in kitchen, Tile countertops in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Dressing room in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 14x16, 3rd bedroom: 12x13, 4th Bedroom: 13x14, Carpet, Double built-in electric ovens, Drywall, Gas cooktop, Manmade wood or laminate floors, Marble/Stone floors, Water conditioner loope',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 8,
'Address': '620201 Plymouth Rd, Detroit, MI 48224',
'Beds': 4,
'Baths': 4,
'HouseSize': 7840,
'LotSize': 0.33,
'Price': 610000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, 2+ family rooms, Separate family room, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Walk-in pantry, Entry foyer, Formal living room, Rear living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom downstairs, Walk-in closet in master bedroom, 2nd bedroom: 12x15, 3rd bedroom: 12x15, 4th Bedroom: 12x15, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Electric cooktop, Shutters, Skylight(s), Water conditioner owned, Water filtering system, Window coverings partial',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 9,
'Address': '1198 Theresa Cir, Whitinsville, MA 01582',
'Beds': 4,
'Baths': 3,
'HouseSize': 4990,
'LotSize': 0.8,
'Price': 320000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, 1/2 bath downstairs, Formal dining room, 2+ family rooms, Built-in bookcases in family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen island, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Built-in bookcases in master bedroom, Built-in entertainment center in master bedroom, Ceiling fan in master bedroom, Dressing room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13x12, 3rd bedroom: 12x12, 4th Bedroom: 13x12, Alarm system rented, Blinds, Built-in microwave, Carpet, Ceiling fan(s), Double built-in gas ovens, Tile floors, Window Coverings Throughout',
'YearBuilt': 2011,
'Type': 0,
'Status': 0,
}, {
'ID': 10,
'Address': '420234 Rogge St, Detroit, MI 48234',
'Beds': 4,
'Baths': 3,
'HouseSize': 6900,
'LotSize': 3.9,
'Price': 320000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Granite countertops in kitchen, Kitchen custom cabinets, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, 2nd bedroom: 12x15, 3rd bedroom: 13x13, 4th Bedroom: 12x14, Alarm system owned, Carpet, Ceiling fan(s), Double built-in gas ovens, Marble/Stone floors, Shutters, Window Coverings Throughout',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 11,
'Address': '6677 Kingsbridge Ln, Ridgewood, NJ 07454',
'Beds': 5,
'Baths': 4,
'HouseSize': 14750,
'LotSize': 0.99,
'Price': 1100000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Dining area, Formal dining room, 2+ family rooms, Breakfast Bar/Counter, Kitchen island, Entry foyer, Rear living room, 2 master bedrooms, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Great room, 2nd bedroom: 15X13, 3rd bedroom: 11X12, 4th Bedroom: 11X12, 5th Bedroom: 11X10, Atrium(s), Blinds, Built-in gas oven, Carpet, Ceiling fan(s), Intercom system, Marble/Stone floors, Pot shelves',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 12,
'Address': '4815 Warbler Ln, Rockport, TX 78388',
'Beds': 4,
'Baths': 3,
'HouseSize': 9600,
'LotSize': 1.34,
'Price': 700000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Separate family room, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Hardwood flooring in kitchen, Pantry, Entry foyer, Formal living room, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 16X13, 3rd bedroom: 15X14, 4th Bedroom: 17X13, Blinds, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Electric stove, Intercom system, Shutters, Water conditioner owned',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 13,
'Address': '115636 Hodges Ln, Moundville, AL 35474',
'Beds': 3,
'Baths': 3,
'HouseSize': 7550,
'LotSize': 1.6,
'Price': 450000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, 1/2 bath downstairs, Formal dining room, Separate family room, Breakfast Bar/Counter, Tile flooring in kitchen, Walk-in pantry, Formal living room, Front living room, Sunken living room, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 13X14, 3rd bedroom: 12X13, Blinds, Built-in electric oven, Carpet, Ceiling fan(s), Drapes, Drywall, Gas cooktop, Tile floors',
'YearBuilt': 2011,
'Type': 0,
'Status': 0,
}, {
'ID': 14,
'Address': '6351 Forrest St, Jersey City, NJ 07308',
'Beds': 4,
'Baths': 4,
'HouseSize': 10255,
'LotSize': 0.3,
'Price': 320000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Downstairs family room, Separate family room, Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Tile flooring in kitchen, Rear living room, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 14x14, 3rd bedroom: 11x13, 4th Bedroom: 15x11, Carpet, Double built-in electric ovens, Marble/Stone floors, Tile floors',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 15,
'Address': '1268 Bright St, Jersey City, NJ 07308',
'Beds': 4,
'Baths': 2,
'HouseSize': 5770,
'LotSize': 1.3,
'Price': 310000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Entry foyer, Formal living room, Sunken living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 14x14, 3rd bedroom: 14x14, 4th Bedroom: 14x14, Alarm system owned, Built-in electric oven, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Electric cooktop, Intercom system, Marble/Stone floors, Shutters, Tile floors, Water conditioner loope, Window Coverings Throughout',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 16,
'Address': '32125 4th St NW #2, Washington, DC 20001',
'Beds': 5,
'Baths': 6,
'HouseSize': 14600,
'LotSize': 2.3,
'Price': 2800000,
'Features': 'Washer/Dryer on 1st floor, Washer/Dryer on 2nd floor, Full bath downstairs, Breakfast room/Nook, Formal dining room, Downstairs family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Built-in bookcases in living room, Entry foyer, Formal living room, Vaulted ceiling in living room, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, Great room, 2nd bedroom: 20X18, 3rd bedroom: 15X14, 4th Bedroom: 22X19, 5th Bedroom: 14X16, Alarm system owned, Built-in microwave, Carpet, Intercom system, Marble/Stone floors, Shutters, Warming drawer, Water conditioner owned, Window Coverings Throughout, Wine refrigerator',
'YearBuilt': 2010,
'Type': 0,
'Status': 2,
}, {
'ID': 17,
'Address': '7700 Elmwood Dr, Cleveland, OK 74021',
'Beds': 4,
'Baths': 4,
'HouseSize': 8530,
'LotSize': 0.45,
'Price': 470000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Breakfast room/Nook, Kitchen/Dining room combo, 2+ family rooms, Upstairs & Downstairs family rooms, Wet bar in family room, Breakfast Bar/Counter, Breakfast nook (eating area), Garden window in kitchen, Granite countertops in kitchen, Kitchen custom cabinets, Recessed lighting in kitchen, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Balcony in master bedroom, Ceiling fan in master bedroom, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, Great room, 2nd bedroom: 14X14, 3rd bedroom: 15X15, 4th Bedroom: 16X14, Alarm system owned, Blinds, Pot shelves, Tile floors, Water conditioner owned, Water filtering system, Window Coverings Throughout, Wine refrigerator',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 18,
'Address': '8308 Vassar Ave, Swarthmore, PA 19088',
'Beds': 5,
'Baths': 5,
'HouseSize': 14100,
'LotSize': 1.9,
'Price': 1900000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Marble/Stone flooring in kitchen, Recessed lighting in kitchen, Walk-in pantry, Built-in bookcases in living room, Built-in entertainment center, Formal living room, Vaulted ceiling in living room, 2 master bedrooms, Dressing room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 17X13, 3rd bedroom: 16X12, 4th Bedroom: 21X21, 5th Bedroom: 12X16, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Convection oven, Double built-in electric ovens, Gas stove',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}, {
'ID': 19,
'Address': '8913 Lakeshore Dr, Jacksons Gap, AL 36863',
'Beds': 4,
'Baths': 3,
'HouseSize': 12320,
'LotSize': 0.87,
'Price': 900000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Formal dining room, 2+ family rooms, Downstairs family room, Separate family room, Upstairs family room, Breakfast nook (eating area), Kitchen custom cabinets, Kitchen island, Tile countertops in kitchen, Walk-in pantry, Formal living room, Front living room, Vaulted ceiling in living room, Master bedroom downstairs, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 16X13, 3rd bedroom: 16X13, 4th Bedroom: 20X14, Blinds, Built-in electric oven, Built-in microwave, Carpet, Gas cooktop, Pot shelves, Tile floors',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 20,
'Address': '13673 Pearl Dr #7, Monroe, MI 48161',
'Beds': 4,
'Baths': 2,
'HouseSize': 7300,
'LotSize': 0.3,
'Price': 399000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, Separate family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen custom cabinets, Pantry, Formal living room, Ceiling fan in master bedroom, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 15x15, 3rd bedroom: 13x12, 4th Bedroom: 14x12, Alarm system wired, Built-in microwave, Carpet, Ceiling fan(s), Central vacuum, Double built-in electric ovens, Gas cooktop, Marble/Stone floors, Tile floors, Window coverings partial',
'YearBuilt': 2010,
'Type': 0,
'Status': 0,
}, {
'ID': 21,
'Address': '15447 Via Viento, Atascadero, CA 93420',
'Beds': 4,
'Baths': 3,
'HouseSize': 11300,
'LotSize': 1.06,
'Price': 1100000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Washer/Dryer on 2nd floor, 3/4 bath downstairs, Formal dining room, Downstairs family room, Breakfast nook (eating area), Granite countertops in kitchen, Hardwood flooring in kitchen, Kitchen island, Pantry, Formal living room, Front living room, Sunken living room, Vaulted ceiling in living room, Master bedroom separate from other, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 15X11, 3rd bedroom: 12X17, 4th Bedroom: 14X18, Blinds, Built-in microwave, Carpet, Double built-in electric ovens, Drywall, Tile floors, Window Coverings Throughout',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 22,
'Address': '114840 Interlake Ave N, Seattle, WA 98131',
'Beds': 4,
'Baths': 2,
'HouseSize': 7990,
'LotSize': 2.2,
'Price': 400000,
'Features': 'Dishwasher, Disposal, Refrigerator, Separate laundry room, Full bath downstairs, Formal dining room, Living/Dining room combo, Downstairs family room, Separate family room, Breakfast Bar/Counter, Garden window in kitchen, Kitchen custom cabinets, Tile countertops in kitchen, Tile flooring in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Vaulted ceiling in living room, Ceiling fan in master bedroom, Master bedroom upstairs, Sitting room in master bedroom, Walk-in closet in master bedroom, 2nd bedroom: 18X15, 3rd bedroom: 18X15, 4th Bedroom: 17X11, Alarm system owned, Built-in microwave, Carpet, Ceiling fan(s), Double built-in gas ovens, Gas cooktop, Intercom system, Shutters, Tile floors, Water conditioner owned, Water filtering system',
'YearBuilt': 2007,
'Type': 0,
'Status': 1,
}, {
'ID': 23,
'Address': '1552 College Ave, Winnipeg, MB R2W10',
'Beds': 4,
'Baths': 2,
'HouseSize': 5200,
'LotSize': 3.66,
'Price': 330000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Formal dining room, 2+ family rooms, Separate family room, Upstairs & Downstairs family rooms, Breakfast Bar/Counter, Breakfast nook (eating area), Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Recessed lighting in kitchen, Tile flooring in kitchen, Entry foyer, Formal living room, Front living room, Vaulted ceiling in living room, Master bedroom separate from other, Walk-in closet in master bedroom, 2nd bedroom: 14X13, 3rd bedroom: 13X13, 4th Bedroom: 14X12, Blinds, Carpet, Ceiling fan(s), Double built-in electric ovens, Gas stove, Pot shelves, Tile floors',
'YearBuilt': 2008,
'Type': 0,
'Status': 1,
}, {
'ID': 24,
'Address': '3929 Freedman St, Jacksonville, IL 62656',
'Beds': 4,
'Baths': 3,
'HouseSize': 6120,
'LotSize': 1.7,
'Price': 200000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Washer/Dryer on 1st floor, Full bath downstairs, Dining area, Family/Dining room combo, 2+ family rooms, Downstairs family room, Breakfast Bar/Counter, Granite countertops in kitchen, Kitchen custom cabinets, Recessed lighting in kitchen, Walk-in pantry, Entry foyer, Formal living room, Front living room, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 12x14, 3rd bedroom: 12x13, 4th Bedroom: 13x16, Blinds, Built-in microwave, Carpet, Double built-in gas ovens, Drywall, Gas cooktop, Tile floors, Water conditioner owned, Window Coverings Throughout',
'YearBuilt': 2011,
'Type': 0,
'Status': 2,
}, {
'ID': 25,
'Address': '54732 Crystal Dr, Beulah, MI 49617',
'Beds': 3,
'Baths': 2,
'HouseSize': 8300,
'LotSize': 0.5,
'Price': 590000,
'Features': 'Dishwasher, Disposal, Separate laundry room, Full bath downstairs, Living/Dining room combo, Built-in bookcases in family room, Separate family room, Breakfast Bar/Counter, Garden window in kitchen, Granite countertops in kitchen, Kitchen custom cabinets, Kitchen island, Tile flooring in kitchen, Formal living room, Front living room, Built-in bookcases in master bedroom, Ceiling fan in master bedroom, Master bedroom separate from other, Master bedroom upstairs, Walk-in closet in master bedroom, 2nd bedroom: 12X12, 3rd bedroom: 12X12, Blinds, Built-in microwave, Ceiling fan(s), Double built-in gas ovens, Gas cooktop, Manmade wood or laminate floors, Shutters, Tile floors, Window coverings partial, Window Coverings Throughout',
'YearBuilt': 2009,
'Type': 0,
'Status': 0,
}];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app" />
</div>
</body>
</html>